/*
   +----------------------------------------------------------------------+
   | ayTemplates version 0.02-dev                                         |
   +----------------------------------------------------------------------+
   | Copyright (c) 2001 David C A Croft                                   |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: David Croft <david@infotrek.co.uk>                           |
   +----------------------------------------------------------------------+
 */

#ifndef PHP_TPL_H
#define PHP_TPL_H

extern zend_module_entry tpl_module_entry;
#define phpext_tpl_ptr &tpl_module_entry

#ifdef PHP_WIN32
#define PHP_TPL_API __declspec(dllexport)
#else
#define PHP_TPL_API
#endif

PHP_MINIT_FUNCTION(tpl);
PHP_MSHUTDOWN_FUNCTION(tpl);
PHP_RINIT_FUNCTION(tpl);
PHP_RSHUTDOWN_FUNCTION(tpl);
PHP_MINFO_FUNCTION(tpl);

PHP_FUNCTION(tpl_parse);

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(tpl)
	int global_variable;
ZEND_END_MODULE_GLOBALS(tpl)
*/

/* In every function that needs to use variables in php_tpl_globals,
   do call TPLLS_FETCH(); after declaring other variables used by
   that function, and always refer to them as TPLG(variable).
   You are encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define TPLG(v) (tpl_globals->v)
#define TPLLS_FETCH() php_tpl_globals *tpl_globals = ts_resource(tpl_globals_id)
#else
#define TPLG(v) (tpl_globals.v)
#define TPLLS_FETCH()
#endif

#endif	/* PHP_TPL_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
